"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.listImagesFromTargetState = exports.isProvisioned = void 0;
const isProvisioned = (device) => {
    return (device.supervisor_version != null &&
        device.supervisor_version.length > 0 &&
        device.last_connectivity_event != null);
};
exports.isProvisioned = isProvisioned;
/**
 *
 * @param targetState
 * @returns array containing all images for all services for all releases for all apps for the device
 */
const listImagesFromTargetState = (targetState) => {
    const images = [];
    // list apps keys
    for (const device of Object.values(targetState)) {
        for (const app of Object.values(device.apps)) {
            for (const release of Object.values(app.releases)) {
                for (const service of Object.values(release.services)) {
                    images.push(service.image);
                }
            }
        }
    }
    return images;
};
exports.listImagesFromTargetState = listImagesFromTargetState;
