import type { Device } from '..';
export interface CurrentService {
    id: number;
    image_id: number;
    service_id: number;
    download_progress: number | null;
    status: string;
    install_date: string;
}
export interface CurrentServiceWithCommit extends CurrentService {
    commit: string;
    raw_version: string;
    release_id: number;
}
export interface DeviceWithServiceDetails<TCurrentService extends CurrentService = CurrentService> extends Device {
    current_services: {
        [serviceName: string]: TCurrentService[];
    };
}
export declare const getCurrentServiceDetailsPineExpand: (expandRelease: boolean) => import("../../typings/pinejs-client-core").ResourceExpand<Device>;
export declare const generateCurrentServiceDetails: <TCurrentService extends CurrentService = CurrentService>(rawDevice: Device) => DeviceWithServiceDetails<TCurrentService>;
