import type { PineOptionsStrict, PineSelectableProps, PineTypedResult } from '..';
export interface ChunkSizeOptions {
    numericId: number;
    stringId: number;
}
export declare function batchResourceOperationFactory<T extends {
    id: number;
    uuid: string;
}>({ getAll, NotFoundError, AmbiguousResourceError, chunkSize: chunkSizeParam, }: {
    getAll: (options?: PineOptionsStrict<T>) => Promise<T[]>;
    NotFoundError: new (id: string | number) => Error;
    AmbiguousResourceError: new (id: string | number) => Error;
    chunkSize?: number | Partial<ChunkSizeOptions>;
}): {
    <TOpts extends PineOptionsStrict<T>>(options: {
        uuidOrIdOrArray: number | number[] | string | string[];
        options?: TOpts | undefined;
        groupByNavigationPoperty?: undefined;
        fn: (items: ({
            id: number;
            uuid: string;
        } & (TOpts extends PineOptionsStrict<T> ? PineTypedResult<T, TOpts> : object))[]) => Promise<void>;
    }): Promise<void>;
    <TOpts_1 extends PineOptionsStrict<T>>(options: {
        uuidOrIdOrArray: number | number[] | string | string[];
        options?: TOpts_1 | undefined;
        groupByNavigationPoperty: PineSelectableProps<T>;
        fn: (items: ({
            id: number;
            uuid: string;
        } & (TOpts_1 extends PineOptionsStrict<T> ? PineTypedResult<T, TOpts_1> : object))[], ownerId: number) => Promise<void>;
    }): Promise<void>;
};
